footer {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    
    background-color: rgb(237, 238, 240);
    
    width: 100%;
    height: auto;
    
    padding: 0 calc(var(--header-size, 0px) + var(--padding, 0px));
    padding-top: var(--header-size, 0px);
    gap: var(--padding, 0px);
}

footer > .middle,
footer > .bottom,
footer > .middle > .links {
    width: 100%;
}

footer > .middle {
    container-type: inline-size;
    gap: var(--padding, 0px);
}

footer > .middle > .links {
    justify-content: space-between;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    gap: var(--padding, 0px);
}

footer > .middle > .links > .link {
    opacity: 1;
    color: rgb(0, 0, 0);

    font-weight: 500;
    font-size: 1rem;
    
    line-height: calc(1rem * 1.25);
    letter-spacing: calc(1rem * var(--letter-spacing));
    
    padding: var(--padding, 0px);
    margin: 0 calc(var(--padding, 0px) * -1);
    
    transition: opacity var(--transition);
}

footer > .middle > .links > .link::after {
    content: "";

    display: inline-block;
    
    background-image: url(/icons/redirect.svg);
    background-repeat: no-repeat;
    background-position: center;
    
    width: 1rem;
    height: 1rem;
    
    filter: brightness(0);
    transform: translateY(0.15rem) translateX(0.25rem);
}

footer > .middle > .links > .link:hover {
    opacity: 0.25;
}

footer > .middle > .name {
    color: rgba(0, 0, 0, 0.05);
    
    font-weight: 700;
    font-size: 27.76605cqi;
    
    pointer-events: none;
    
    text-transform: uppercase;
    line-height: calc(27.76605cqi * 0.75);
    letter-spacing: calc(27.76605cqi * var(--letter-spacing));
    
    margin-bottom: calc(27.76605cqi * -0.08);
}

footer > .bottom {
    flex-wrap: wrap;
    justify-content: space-between;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    padding: calc(var(--padding, 0px) / 2) 0;
    gap: 0 var(--padding, 0px);
}

footer > .bottom > .links {
    margin: 0 -1rem;
}

footer > .bottom > .links > .link {
    position: relative;
    color: rgba(0, 0, 0, 1);
    
    font-weight: 500;
    font-size: 0.925rem;
    
    white-space: nowrap;
    letter-spacing: calc(0.925rem * var(--letter-spacing, 0) * 0.5);
    
    padding: calc(var(--padding, 0px) / 2) 1rem;
}

footer > .bottom > .links > a.link {
    transition: color var(--transition);
}

footer > .bottom > .links > a.link:hover {
    color: rgba(0, 0, 0, 0.25);
}

footer > .bottom > .links > .link::after {
    content: "";
    position: absolute;
    
    background-color: rgba(0, 0, 0, 0.25);
    border-radius: 3px;
    
    pointer-events: none;
    
    top: 50%;
    left: 100%;
    
    width: 3px;
    height: 3px;
    
    transform: translate(-50%, -50%);
}

footer > .bottom > .links > .link:last-child::after {
    content: none;
}

@media (max-width: 1240px) {
    footer {
        padding: 0 var(--padding, 0px);
        padding-top: var(--header-size, 0px);
    }
}

@media (max-width: calc(37.5rem + 2rem * 2)) {
    footer {
        padding: var(--padding, 0px);
        padding-bottom: 0;
    }
    
    footer > .middle > .links {
        flex-direction: column;
        justify-content: flex-start;
        gap: 0;
    }
    
    footer > .middle > .links > .link {
        border-bottom: 1px solid rgba(0, 0, 0, 0.1);
        width: 100%;
        padding: var(--padding, 0px) 0;
        margin: 0;
        transition: padding-left var(--transition);
    }
    
    footer > .middle > .links > .link:hover {
        opacity: 1;
        padding-left: 1rem;
    }
    
    footer > .middle > .links > .link:last-child {
        border-bottom: none;
    }
    
    footer > .bottom {
        flex-wrap: nowrap;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    
    footer > .bottom > .links:first-child {
        flex-wrap: wrap;
        justify-content: center;
    }
    
    footer > .bottom > .links:first-child > small {
        text-align: center;
        width: 100%;
    }
    
    footer > .bottom > .links:first-child > small::after {
        content: none;
    }
}